﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfPresentacio
{
    /// <summary>
    /// Lógica de interacción para MainWindow.xaml
    /// </summary>
    public partial class Ingres : Window
    {
        public Ingres()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {

        }
        
        // Mirem si les dades introduïdes validen l'accés a l'aplicació.
        private void Acceptar_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                WpfPresentacio.ServiceReference.ServiceClient proxy = new WpfPresentacio.ServiceReference.ServiceClient();

                bool esValid = proxy.ValidarAcces(textBox1.Text, passBox1.Password);

                // Si la validació és correcta, es carrega la finestra principal.
                if (esValid)
                {
                    Principal p = new Principal();
                    p.Show();
                    this.Close();
                }

                // La validació no és correcta.
                else { MessageBox.Show("Validació incorrecta", "Error", MessageBoxButton.OK, MessageBoxImage.Error); }
            }
            //catch (FormatException) { MessageBox.Show("Validació incorrecta", "Error", MessageBoxButton.OK, MessageBoxImage.Error); }
            catch (Exception ex) { MessageBox.Show(ex.Message, "Error", MessageBoxButton.OK, MessageBoxImage.Error); }                
        }
    }
}
