﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Mòdul_Mòbil.ServiceReference;


namespace Mòdul_Mòbil
{
    public partial class Autentificacio : PhoneApplicationPage
    {
        public Autentificacio()
        {
            InitializeComponent();           
        }

        // Mètode que gestiona l'esdeveniment produït en acabar l'execució del mètode ValidarAcces
        void proxy_ValidarAccesCompleted(object sender, ValidarAccesCompletedEventArgs e)
        {
            // Si la validació ha estat correcta, creem un nou objecte comanda que ens permetrà passar els paràmetres entre
            // les pàgines. Naveguem a la pàgina del menú principal passant-li l'identificador del cambrer que atendrà la comanda.
            if (e.Result)
            {                
                Comanda comanda = new Comanda();
                comanda.cambrer = int.Parse(this.tbUsuari.Text);
                App.Current.RootVisual = new MenuPrincipal(comanda); 
            }

            // La validació no ha estat correcta.
            else
            {
                MessageBox.Show("Validació Incorrecta", "Error!!", MessageBoxButton.OK);
            }
        }  

        // Mètode que gestiona l'esdeveniment produït en clicar el botó d'ok a la pàgina de validació.
        private void botoOk_Click(object sender, RoutedEventArgs e)
        {           
            ServiceReference.ServiceClient proxy = new ServiceReference.ServiceClient();            

            proxy.ValidarAccesCompleted += new EventHandler<ValidarAccesCompletedEventArgs>(proxy_ValidarAccesCompleted);

            proxy.ValidarAccesAsync(tbUsuari.Text, pbContrasenya.Password);         
        }
    }
}
