﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace Mòdul_Mòbil
{
    public partial class MenuPrincipal : PhoneApplicationPage
    {
        Comanda comanda;

        public MenuPrincipal(Comanda com)
        {
            comanda = com;
            InitializeComponent();
        }

        // Si l'usuari vol anotar una comanda, naveguem a la pàgina que permet introduir la taula.
        private void btAnotarComanda_Click(object sender, RoutedEventArgs e)
        {            
            App.Current.RootVisual = new IntrTaulaComanda(comanda); 
        }

        // Si l'usuari vol gestionar una comanda ja existent, naveguem a la pàgina que permet indicar quina volem.
        private void btGestionarComandes_Click(object sender, RoutedEventArgs e)
        {            
            App.Current.RootVisual = new IntrTaulaGestionar(comanda);
        }             
    }
}
