﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;
using Dades;

namespace ServeiWcf
{   
    [ServiceContract]
    public interface IService
    {
        [OperationContract]
        string GetData(int value);

        [OperationContract]
        bool ValidarAcces(string user, string password);

        [OperationContract]
        List<Consumicions> LlistaBegudes();

        [OperationContract]
        List<Consumicions> LlistaInfusions();

        [OperationContract]
        List<Consumicions> LlistaPostres();

        [OperationContract]
        List<Consumicions> LlistaPasta();

        [OperationContract]
        List<Consumicions> LlistaCarns();

        [OperationContract]
        List<Consumicions> LlistaPeixos();

        [OperationContract]
        List<Consumicions> LlistaAmanides();

        [OperationContract]
        List<Consumicions> LlistaEntrants();

        [OperationContract]
        void GuardarComanda(int taula, int comensals, int cambrer);

        [OperationContract]
        void GuardarConsumicioComanda(int taula, string consumicio);

        [OperationContract]
        void EsborrarConsumicioComanda(int taula, string consumicio);

        [OperationContract]
        void ServirConsumicioComanda(int taula, string consumicio);
          
        [OperationContract]
        bool ConsultarTaula(int taula);

        [OperationContract]
        void TancarComanda(int taula);
        
        [OperationContract]
        List<Consumicio_Comanda>LlistaComandesTaula(int taula);

        [OperationContract]
        Comandes GetComanda(int taula);        

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPrimersDia();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaSegonsDia();
        
        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPostresDia();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaBegudesDia();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPrimers1();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaSegons1();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPostres1();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaBegudes1();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPrimers2();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaSegons2();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPostres2();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaBegudes2();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPrimers3();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaSegons3();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPostres3();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaBegudes3();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPrimers4();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaSegons4();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPostres4();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaBegudes4();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPrimers5();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaSegons5();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPostres5();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaBegudes5();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPrimers6();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaSegons6();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPostres6();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaBegudes6();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPrimers7();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaSegons7();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPostres7();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaBegudes7();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPrimers8();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaSegons8();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPostres8();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaBegudes8();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPrimers9();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaSegons9();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPostres9();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaBegudes9();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPrimers10();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaSegons10();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaPostres10();

        [OperationContract]
        List<Consumicio_Seccio_Menu> LlistaBegudes10();
    }
}
