﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Web;
using System.Text;
using Dades;

namespace ServeiWcf
{    
    public class Service1 : IService
    {
        public string GetData(int value)
        {
            return string.Format("You entered: {0}", value);
        }

        public bool ValidarAcces(string user, string password)
        {
            Negoci.Validacio usuari = new Negoci.Validacio();
                       
            return usuari.ValidarAcces(user, password);
        }

        public List<Consumicions> LlistaBegudes()
        {
            Negoci.Consumicio con = new Negoci.Consumicio();

            return con.LlistaPlatsSeccio("Begudes");        
        }

        public List<Consumicions> LlistaInfusions()
        {
            Negoci.Consumicio con = new Negoci.Consumicio();

            return con.LlistaPlatsSeccio("Infusions");
        }

        public List<Consumicions> LlistaPostres()
        {
            Negoci.Consumicio con = new Negoci.Consumicio();

            return con.LlistaPlatsSeccio("Postres");           
        }

        public List<Consumicions> LlistaAmanides()
        {
            Negoci.Consumicio con = new Negoci.Consumicio();

            return con.LlistaPlatsSeccio("Amanides i Sopes");           
        }

        public List<Consumicions> LlistaPasta()
        {
            Negoci.Consumicio con = new Negoci.Consumicio();

            return con.LlistaPlatsSeccio("Pasta i Arrossos");            
        }

        public List<Consumicions> LlistaPeixos()
        {
            Negoci.Consumicio con = new Negoci.Consumicio();

            return con.LlistaPlatsSeccio("Peix i Marisc");           
        }

        public List<Consumicions> LlistaCarns()
        {
            Negoci.Consumicio con = new Negoci.Consumicio();

            return con.LlistaPlatsSeccio("Carns");            
        }

        public List<Consumicions> LlistaEntrants()
        {
            Negoci.Consumicio con = new Negoci.Consumicio();

            return con.LlistaPlatsSeccio("Entrants");          
        }

        public void GuardarComanda(int taula, int comensals, int cambrer)
        {
            Negoci.Comanda c = new Negoci.Comanda();

            c.GuardarComanda(taula, comensals, cambrer);            
        }

        public void GuardarConsumicioComanda(int taula, string consumicio)
        {
            Negoci.Comanda c = new Negoci.Comanda();

            c.GuardarConsumicioComanda(taula, consumicio);
        }

        public void EsborrarConsumicioComanda(int taula, string consumicio)
        {
            Negoci.Comanda c = new Negoci.Comanda();

            c.EsborrarConsumicioComanda(taula, consumicio);
        }

        public void ServirConsumicioComanda(int taula, string consumicio)
        {
            Negoci.Comanda c = new Negoci.Comanda();

            c.ServirConsumicioComanda(taula, consumicio);
        }

        public bool ConsultarTaula(int taula)
        {
            Negoci.Comanda c = new Negoci.Comanda();

            return c.ConsultarTaula(taula);
        }

        public void TancarComanda(int taula)
        {
            Negoci.Comanda c = new Negoci.Comanda();

            c.TancarComanda(taula);
        }

        public List<Consumicio_Comanda> LlistaComandesTaula(int taula)
        {
            Negoci.Comanda c = new Negoci.Comanda();

            return c.ConsumicionsComanda(taula);
        }        

        public Comandes GetComanda(int taula)
        {
            Negoci.Comanda c = new Negoci.Comanda();

            return c.GetComanda(taula);
        }

        public List<Consumicio_Seccio_Menu> LlistaPrimersDia()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Dia","Primers");        
        }

        public List<Consumicio_Seccio_Menu> LlistaSegonsDia()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Dia", "Segons");
        }

        public List<Consumicio_Seccio_Menu> LlistaPostresDia()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Dia", "Postres");
        }

        public List<Consumicio_Seccio_Menu> LlistaBegudesDia()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Dia", "Begudes");
        }

        public List<Consumicio_Seccio_Menu> LlistaPrimers1()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 1", "Primers");
        }

        public List<Consumicio_Seccio_Menu> LlistaSegons1()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 1", "Segons");
        }

        public List<Consumicio_Seccio_Menu> LlistaPostres1()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 1", "Postres");
        }

        public List<Consumicio_Seccio_Menu> LlistaBegudes1()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 1", "Begudes");
        }

        public List<Consumicio_Seccio_Menu> LlistaPrimers2()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 2", "Primers");
        }

        public List<Consumicio_Seccio_Menu> LlistaSegons2()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 2", "Segons");
        }

        public List<Consumicio_Seccio_Menu> LlistaPostres2()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 2", "Postres");
        }

        public List<Consumicio_Seccio_Menu> LlistaBegudes2()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 2", "Begudes");
        }

        public List<Consumicio_Seccio_Menu> LlistaPrimers3()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 3", "Primers");
        }

        public List<Consumicio_Seccio_Menu> LlistaSegons3()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 3", "Segons");
        }

        public List<Consumicio_Seccio_Menu> LlistaPostres3()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 3", "Postres");
        }

        public List<Consumicio_Seccio_Menu> LlistaBegudes3()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 3", "Begudes");
        }

        public List<Consumicio_Seccio_Menu> LlistaPrimers4()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 4", "Primers");
        }

        public List<Consumicio_Seccio_Menu> LlistaSegons4()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 4", "Segons");
        }

        public List<Consumicio_Seccio_Menu> LlistaPostres4()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 4", "Postres");
        }

        public List<Consumicio_Seccio_Menu> LlistaBegudes4()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 4", "Begudes");
        }

        public List<Consumicio_Seccio_Menu> LlistaPrimers5()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 5", "Primers");
        }

        public List<Consumicio_Seccio_Menu> LlistaSegons5()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 5", "Segons");
        }

        public List<Consumicio_Seccio_Menu> LlistaPostres5()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 5", "Postres");
        }

        public List<Consumicio_Seccio_Menu> LlistaBegudes5()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 5", "Begudes");
        }

        public List<Consumicio_Seccio_Menu> LlistaPrimers6()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 6", "Primers");
        }

        public List<Consumicio_Seccio_Menu> LlistaSegons6()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 6", "Segons");
        }

        public List<Consumicio_Seccio_Menu> LlistaPostres6()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 6", "Postres");
        }

        public List<Consumicio_Seccio_Menu> LlistaBegudes6()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 6", "Begudes");
        }

        public List<Consumicio_Seccio_Menu> LlistaPrimers7()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 7", "Primers");
        }

        public List<Consumicio_Seccio_Menu> LlistaSegons7()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 7", "Segons");
        }

        public List<Consumicio_Seccio_Menu> LlistaPostres7()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 7", "Postres");
        }

        public List<Consumicio_Seccio_Menu> LlistaBegudes7()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 7", "Begudes");
        }

        public List<Consumicio_Seccio_Menu> LlistaPrimers8()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 8", "Primers");
        }

        public List<Consumicio_Seccio_Menu> LlistaSegons8()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 8", "Segons");
        }

        public List<Consumicio_Seccio_Menu> LlistaPostres8()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 8", "Postres");
        }

        public List<Consumicio_Seccio_Menu> LlistaBegudes8()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 8", "Begudes");
        }

        public List<Consumicio_Seccio_Menu> LlistaPrimers9()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 9", "Primers");
        }

        public List<Consumicio_Seccio_Menu> LlistaSegons9()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 9", "Segons");
        }

        public List<Consumicio_Seccio_Menu> LlistaPostres9()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 9", "Postres");
        }

        public List<Consumicio_Seccio_Menu> LlistaBegudes9()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 9", "Begudes");
        }

        public List<Consumicio_Seccio_Menu> LlistaPrimers10()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 10", "Primers");
        }

        public List<Consumicio_Seccio_Menu> LlistaSegons10()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 10", "Segons");
        }

        public List<Consumicio_Seccio_Menu> LlistaPostres10()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 10", "Postres");
        }

        public List<Consumicio_Seccio_Menu> LlistaBegudes10()
        {
            Negoci.Consumicio c = new Negoci.Consumicio();

            return c.LlistaPlatsMenu("Menú 10", "Begudes");
        }
    }
}
