﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Registre.aspx.cs" Inherits="CanVictorWeb.Account.Registre" %>

<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server"> 
    <style type="text/css">
        .style4
        {
            font-size: medium;
        }
    </style>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <h2> Registre d&#39;un nou compte al sistema </h2>
    <p> &nbsp; </p>
    
    <asp:Label ID="MissatgesRegistre" runat="server" Font-Bold="True" 
            Font-Size="X-Large" ForeColor="#CC3300"></asp:Label>
            <br />
    <asp:ValidationSummary ID="RegisterUserValidationSummary" runat="server" CssClass="failureNotification" ValidationGroup="RegisterUserValidationGroup"/>

    <span class="style4">Si us plau, ompli els següents camps del formulari:<br />
    </span>&nbsp;<div class="accountInfo">
    <fieldset class="register">
    <legend>Formulari de registre</legend>                
                
                <asp:Label ID="UserDNILabel" runat="server" AssociatedControlID="UserDNI" Width="223px">Identificador d'usuari (DNI):</asp:Label>
                
                <asp:TextBox ID="UserDNI" runat="server" CssClass="textEntry" Width="380px"></asp:TextBox>
                
                <asp:RequiredFieldValidator ID="UserDNIRequired" runat="server" ControlToValidate="UserDNI" 
                CssClass="failureNotification" ErrorMessage="L'identificador d'usuari és obligatori." ToolTip="L'identificador d'usuari és obligatori." 
                ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>      
                
                <asp:RegularExpressionValidator ID="RegularExpressionValidatorDNI" runat="server"     
                                    CssClass="failureNotification"
                                    ErrorMessage="DNI no vàlid." 
                                    ControlToValidate="UserDNI"      
                                    ValidationExpression="\d{8}" 
                                    ValidationGroup="RegisterUserValidationGroup">X</asp:RegularExpressionValidator>        
                
                <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName" Width="72px">Nom:</asp:Label>
                
                <asp:TextBox ID="UserName" runat="server" CssClass="textEntry" Width="380px"></asp:TextBox>
                
                <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="UserName" 
                CssClass="failureNotification" ErrorMessage="El nom és obligatori." ToolTip="El nom és obligatori." 
                ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>                

                <asp:Label ID="Cognom1Label" runat="server" AssociatedControlID="Cognom1" Width="99px">Cognom (1):</asp:Label>
                
                <asp:TextBox ID="Cognom1" runat="server" CssClass="textEntry" Width="380px"></asp:TextBox>                
                

                <asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ControlToValidate="Cognom1" 
                CssClass="failureNotification" ErrorMessage="El cognom1 és obligatori." ToolTip="El cognom1 és obligatori." 
                ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>                            
                                
                <asp:Label ID="Cognom2Label" runat="server" AssociatedControlID="Cognom2" Width="110px">Cognom (2):</asp:Label>
                
                <asp:TextBox ID="Cognom2" runat="server" CssClass="textEntry" Width="380px"></asp:TextBox>               
                
                <asp:Label ID="TelefonLabel" runat="server" AssociatedControlID="Telefon" Width="62px">Telefon:</asp:Label>               
                               
                <asp:TextBox ID="Telefon" runat="server" CssClass="textEntry" Width="380px"></asp:TextBox>
                
                <asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ControlToValidate="Telefon" 
                CssClass="failureNotification" ErrorMessage="El telèfon és obligatori." ToolTip="El telèfon és obligatori." 
                ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>               
                
               <asp:RegularExpressionValidator ID="RegularExpressionValidatorTelefon" runat="server"     
                                    CssClass="failureNotification"
                                    ErrorMessage="Telèfon no vàlid." 
                                    ControlToValidate="Telefon"      
                                    ValidationExpression="\d{9}" 
                                    ValidationGroup="RegisterUserValidationGroup">X</asp:RegularExpressionValidator>    

                <asp:Label ID="CorreuLabel" runat="server" AssociatedControlID="Correu" Width="55px">e-mail:</asp:Label>
                
                <asp:TextBox ID="Correu" runat="server" CssClass="textEntry" Width="380px"></asp:TextBox>
                
                <asp:RequiredFieldValidator ID="RequiredFieldValidator5" runat="server" ControlToValidate="Correu" 
                CssClass="failureNotification" ErrorMessage="El correu és obligatori." ToolTip="El correu és obligatori." 
                ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>  
                
                 <asp:RegularExpressionValidator ID="regexpCorreu" runat="server"     
                 CssClass="failureNotification"
                                    ErrorMessage="Correu electrònic no vàlid." 
                                    ControlToValidate="Correu"      
                                    ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" 
                                    ValidationGroup="RegisterUserValidationGroup">X</asp:RegularExpressionValidator>                
                
                <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password" Width="96px">Contrasenya:</asp:Label>
                
                <asp:TextBox ID="Password" runat="server" CssClass="passwordEntry" TextMode="Password" Width="380px"></asp:TextBox>
                
                <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password" 
                CssClass="failureNotification" ErrorMessage="La contrasenya és obligatòria." ToolTip="La contrasenya és obligatòria." 
                ValidationGroup="RegisterUserValidationGroup">*</asp:RequiredFieldValidator>                                
                 
      </fieldset>

                <p class="submitButton">
                <asp:Button ID="CreateUserButton" runat="server" CommandName="MoveNext" Text="Alta d'usuari" 
                ValidationGroup="RegisterUserValidationGroup" onclick="CreateUserButton_Click"/>
                </p>
      </div>
</asp:Content>
