﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Dades;
using System.Windows.Forms;

namespace Negoci
{
    // Classe que agrupa la lògica de l'aplicació relativa a les operacions de validació.
    public class Validacio
    {
        // Establim la connexió amb les classes que modelitzen la BD.
        DataClassesDataContext db = new DataClassesDataContext();

        // Comprova a la taula Administradors de la BD si hi ha un usuari amb identificador
        // el passat com a paràmetre i amb la contrasenya donada.
        public bool ValidarAccesClient(string user, string password)
        {
            try
            {
                var query =  (from q in db.Client_Registrat
                            where q.DNI.Equals(user) && q.contrasenya.Equals(password)
                            select q).FirstOrDefault();

                if (query == null) return false; else return true;
            }
            catch (Exception ex) { return false; }            
        }

        // Comprova a la taula Cuiners de la BD si hi ha un usuari amb identificador
        // el passat com a paràmetre i amb la contrasenya donada.
        public bool ValidarAccesCuiner(string user, string password)
        {
            try
            {
                var query = (from q in db.Cuiners
                            where q.DNI.Equals(user) && q.contrasenya.Equals(password)
                            select q).FirstOrDefault();

                if (query == null) return false; else return true;
            }
            catch (Exception ex) { return false; } 
        }
    }
}
