﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using Dades;

namespace WcfService
{    
    [ServiceContract]
    public interface IService
    {
        [OperationContract]
        string GetData(int value);          

        // TODO: agregue aquí sus operaciones de servicio

        [OperationContract]
        bool ValidarAccesClient(string user, string password);

        [OperationContract]
        bool ValidarAccesCuiner(string user, string password);

        [OperationContract]
        void RegistrarClient(string DNI, string nom, string cognom1, string cognom2, string telefon, string correu, string password);

        [OperationContract]
        Client_Registrat ConsultarClient(string DNI);

        [OperationContract]
        string AfegirReserva(string DNI, DateTime data, TimeSpan hora, int comensals, string comentaris);

        [OperationContract]
        List<Reserves> ReservesClient(string DNI);

        [OperationContract]
        Boolean EsborrarReserva(int id);

        [OperationContract]
        Dades.Reserves GetReserva(int id);
    }
}
