﻿<%@ Page Title="Login" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Login.aspx.cs" Inherits="CanVictorWeb.Account.Login" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent"> 
    <style type="text/css">
        .style4
        {
            font-size: medium;
        }
    </style>
</asp:Content>

<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2> Ingrés al sistema </h2>
    <p> &nbsp;</p>
        
        <span class="style4">Si us plau, indiqui el seu DNI i contrasenya.
         <br />
    Si no és usuari registrat, pot 
        <asp:HyperLink ID="RegisterHyperLink" runat="server" EnableViewState="false">registrar-se</asp:HyperLink>.<br />
    </span>&nbsp;<asp:Login ID="LoginUser" runat="server" EnableViewState="false" RenderOuterTable="false">
        
        <LayoutTemplate>
           
            <span class="failureNotification">
                <asp:Literal ID="FailureText" runat="server"></asp:Literal>
            </span>

            <asp:ValidationSummary ID="LoginUserValidationSummary" runat="server" 
                CssClass="failureNotification" ValidationGroup="LoginUserValidationGroup" 
                Width="428px"/>
            
            <div class="accountInfo">
                <fieldset class="login">
                    <legend>El teu compte</legend>
                    
                        <asp:Label ID="UserNameLabel" runat="server" AssociatedControlID="UserName" Width="138px">Identificador (DNI):</asp:Label>
                        <asp:TextBox ID="UserName" runat="server" CssClass="textEntry" Width="380px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" ControlToValidate="UserName" 
                             CssClass="failureNotification" ErrorMessage="L'identificador d'usuari és obligatori." ToolTip="L'identificador d'usuari és obligatori" 
                             ValidationGroup="LoginUserValidationGroup">*</asp:RequiredFieldValidator>    
                             
                        <asp:RegularExpressionValidator ID="RegularExpressionValidatorDNI" runat="server"     
                                    CssClass="failureNotification"
                                    ErrorMessage="DNI no vàlid." 
                                    ControlToValidate="UserName"      
                                    ValidationExpression="\d{8}" 
                                    ValidationGroup="LoginUserValidationGroup">X</asp:RegularExpressionValidator>                         
                    
                        <asp:Label ID="PasswordLabel" runat="server" AssociatedControlID="Password" Width="101px">Contrasenya:</asp:Label>
                        <asp:TextBox ID="Password" runat="server" CssClass="passwordEntry" TextMode="Password" Width="380px"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="PasswordRequired" runat="server" ControlToValidate="Password" 
                             CssClass="failureNotification" ErrorMessage="La contrasenya és obligatòria." ToolTip="La contrasenya és obligatòria." 
                             ValidationGroup="LoginUserValidationGroup">*</asp:RequiredFieldValidator>
                    
                    <p>
                        <asp:CheckBox ID="RememberMe" runat="server"/>
                        <asp:Label ID="RememberMeLabel" runat="server" AssociatedControlID="RememberMe" CssClass="inline">Vull seguir connectat</asp:Label>
                    </p>

              
                </fieldset>                
                
                      <p class="submitButton">
                        <asp:Button ID="LoginButton" runat="server" CommandName="Login" Text="Començar sessió" ValidationGroup="LoginUserValidationGroup" 
                        onclick="LoginButton_Click"/>
                      </p>

            </div>
        </LayoutTemplate>
    </asp:Login>
</asp:Content>
