﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace CanVictorWeb.Account
{
    public partial class Registre : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        // Mètode que gestiona l'esdeveniment produït en clicar el botó d'Alta d'usuari
        protected void CreateUserButton_Click(object sender, EventArgs e)
        {
            try
            {
                CanVictorWeb.ServiceReference.ServiceClient proxy = new CanVictorWeb.ServiceReference.ServiceClient();

                // Comprovem si ja existeix un usuari amb l'identificador donat.
                if (proxy.ConsultarClient(UserDNI.Text) != null) this.MissatgesRegistre.Text = "Ja existeix un usuari amb aquest identificador";
                
                // Si no, registrem el client i tornem a la pàgina d'ingrés.
                else
                {
                    proxy.RegistrarClient(UserDNI.Text, UserName.Text, Cognom1.Text, Cognom2.Text, Telefon.Text, Correu.Text, Password.Text);

                    Response.Redirect("/Account/Login.aspx");  
                }
            }
            catch (Exception) { ;}
        }
    }
}