﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using Dades;

namespace WcfService
{    
    public class Service : IService
    {
        public string GetData(int value)
        {
            return string.Format("You entered: {0}", value);
        }

        public bool ValidarAccesClient(string user, string password)
        {
            Negoci.Validacio usuari = new Negoci.Validacio();
            return usuari.ValidarAccesClient(user, password);
        }

        public bool ValidarAccesCuiner(string user, string password)
        {
            Negoci.Validacio usuari = new Negoci.Validacio();
            return usuari.ValidarAccesCuiner(user, password);
        }
        
        public void RegistrarClient(string DNI, string nom, string cognom1, string cognom2, string telefon, string correu, string password)
        {
            Negoci.Client client = new Negoci.Client();
            client.RegistrarClient(DNI, nom, cognom1, cognom2, telefon, correu, password);  
        }

        public Client_Registrat ConsultarClient(string DNI)
        {
            Negoci.Client client = new Negoci.Client();
            return client.ConsultarClient(DNI);
        }

        public string AfegirReserva(string DNI, DateTime data, TimeSpan hora, int comensals, string comentaris)
        {
            Negoci.Reserva res = new Negoci.Reserva();
            return res.AfegirReserva(DNI, data, hora, comensals, comentaris);
        }

        public List<Reserves> ReservesClient(string DNI) 
        {
            Negoci.Reserva reserva = new Negoci.Reserva();
            return reserva.ReservesClient(DNI);
        }

        public Boolean EsborrarReserva(int id)
        {
            Negoci.Reserva reserva = new Negoci.Reserva();
            return reserva.EsborrarReserva(id);
        }

        public Dades.Reserves GetReserva(int id)
        {
            Negoci.Reserva reserva = new Negoci.Reserva();
            return reserva.getReserva(id);
        }
    }
}
